package ch.psi.daq.rest.queries;

import ch.psi.daq.hazelcast.query.bin.BinningStrategy;

/**
 * Defines the strategies that map to the similarly named {@link BinningStrategy} implementations.
 * <p>
 * This enum is used for type-safety and simplicity for the rest interface.
 * 
 */
public enum BinningStrategyEnum {
   
   length,
   
   count
}
