package ch.psi.daq.test.rest;

import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurationSupport;

import ch.psi.daq.rest.config.RestConfiguration;
import ch.psi.daq.test.cassandra.LocalCassandraTestConfig;

@Configuration
//@ComponentScan(basePackages = {
//      "ch.psi.daq.rest",
//      "ch.psi.daq.cassandra.config", // define the package name with the CassandraConfig
//                                     // configuration, or @Import it (see above)
//      "ch.psi.daq.cassandra.reader",
//      "ch.psi.daq.cassandra.writer"
//})
@Import(value = {LocalCassandraTestConfig.class, RestConfiguration.class})
@EnableWebMvc
public class DaqWebMvcConfiguration extends WebMvcConfigurationSupport {

    // add test-specific beans and configurations here
}